## ros-humble-robot-state-publisher 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(robot_state_publisher)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(kdl_parser REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(urdf REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  builtin_interfaces
  geometry_msgs
  kdl_parser
  orocos_kdl
  rcl_interfaces
  rclcpp
  rclcpp_components
  sensor_msgs
  std_msgs
  tf2_ros
  urdf)

add_library(
  ${PROJECT_NAME}_node SHARED
  src/robot_state_publisher.cpp)
target_include_directories(${PROJECT_NAME}_node PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
ament_target_dependencies(${PROJECT_NAME}_node ${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_export_targets(export_${PROJECT_NAME}_node)

rclcpp_components_register_node(${PROJECT_NAME}_node
  PLUGIN "robot_state_publisher::RobotStatePublisher"
  EXECUTABLE robot_state_publisher)

install(
  TARGETS
  ${PROJECT_NAME}_node
  EXPORT export_${PROJECT_NAME}_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})

install(DIRECTORY launch urdf
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  ament_find_gtest()

  add_executable(test_two_links_fixed_joint test/test_two_links_fixed_joint.cpp)
  ament_target_dependencies(test_two_links_fixed_joint
    rclcpp
    tf2_ros
  )
  target_include_directories(test_two_links_fixed_joint PRIVATE ${GTEST_INCLUDE_DIRS})
  target_link_libraries(test_two_links_fixed_joint ${GTEST_LIBRARIES})
  add_launch_test(test/two_links_fixed_joint-launch.py
    ARGS "test_exe:=$<TARGET_FILE:test_two_links_fixed_joint>")

  add_executable(test_two_links_fixed_joint_prefix test/test_two_links_fixed_joint_prefix.cpp)
  ament_target_dependencies(test_two_links_fixed_joint_prefix
    rclcpp
    tf2_ros
  )
  target_include_directories(test_two_links_fixed_joint PRIVATE ${GTEST_INCLUDE_DIRS})
  target_link_libraries(test_two_links_fixed_joint_prefix ${GTEST_LIBRARIES})
  add_launch_test(test/two_links_fixed_joint_prefix-launch.py
    ARGS "test_exe:=$<TARGET_FILE:test_two_links_fixed_joint_prefix>")

  add_executable(test_two_links_moving_joint test/test_two_links_moving_joint.cpp)
  ament_target_dependencies(test_two_links_moving_joint
    rclcpp
    sensor_msgs
    tf2_ros
  )
  target_include_directories(test_two_links_fixed_joint PRIVATE ${GTEST_INCLUDE_DIRS})
  target_link_libraries(test_two_links_moving_joint ${GTEST_LIBRARIES})
  add_launch_test(test/two_links_moving_joint-launch.py
    ARGS "test_exe:=$<TARGET_FILE:test_two_links_moving_joint>")

  add_executable(test_two_links_change_fixed_joint test/test_two_links_change_fixed_joint.cpp)
  ament_target_dependencies(test_two_links_change_fixed_joint
    rclcpp
    tf2_ros
  )
  target_include_directories(test_two_links_change_fixed_joint PRIVATE ${GTEST_INCLUDE_DIRS})
  target_link_libraries(test_two_links_change_fixed_joint ${GTEST_LIBRARIES})
  add_launch_test(test/two_links_change_fixed_joint-launch.py
    ARGS "test_exe:=$<TARGET_FILE:test_two_links_change_fixed_joint>")
endif()

ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-robot-state-publisher (3.0.2-2jammy) jammy; urgency=high

  * Depend on orocos_kdl_vendor (#191 <https://github.com/ros/robot_state_publisher/issues/191>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 07:00:00 -0000

ros-humble-robot-state-publisher (3.0.1-2jammy) jammy; urgency=high

  * export dependencies, to use robot_state_publisher as a component (#193 <https://github.com/ros/robot_state_publisher/issues/193>)
  * Contributors: Kenji Brameld

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 07:00:00 -0000

ros-humble-robot-state-publisher (3.0.0-2jammy) jammy; urgency=high

  * Fix include order for cpplint (#186 <https://github.com/ros/robot_state_publisher/issues/186>)
  * Change how parameter updates are handled (#180 <https://github.com/ros/robot_state_publisher/issues/180>)
  * Install includes to instal/${PROJECT_NAME} (#184 <https://github.com/ros/robot_state_publisher/issues/184>)
  * Make the change_fixed_joint test more robust (#183 <https://github.com/ros/robot_state_publisher/issues/183>)
  * Add in a test to make sure fixed transforms change on update
  * Small C++ nice-isms in the tests
  * Switch to using target_include_directories for tests
  * Publish new fixed transforms when URDF is updated
  * Make joint_states subscription QoS configurable; default to SensorDataQoS (#179 <https://github.com/ros/robot_state_publisher/issues/179>)
  * Remove dependency on urdfdom_headers (#168 <https://github.com/ros/robot_state_publisher/issues/168>)
  * Contributors: Anthony Deschamps, Chris Lalancette, Jacob Perron, Russell Joyce, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-robot-state-publisher (2.7.0-2jammy) jammy; urgency=high

  * Fix deprecated subscriber callbacks (#173 <https://github.com/ros/robot_state_publisher/issues/173>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.6.0-2jammy) jammy; urgency=high

  * Cleanup the documentation in the RobotStatePublisher class. (#172 <https://github.com/ros/robot_state_publisher/issues/172>)
  * Always publish fixed frames to /tf_static (#158 <https://github.com/ros/robot_state_publisher/issues/158>)
  * corrected publish_frequency default in README (#166 <https://github.com/ros/robot_state_publisher/issues/166>)
  * Contributors: Chris Lalancette, Jacob Perron, Nils Schulte

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Aug 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.5.0-2jammy) jammy; urgency=high

  * Add tf frame_prefix parameter (#159 <https://github.com/ros/robot_state_publisher/issues/159>)
  * Contributors: Steve Nogar, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jun 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.4.3-2jammy) jammy; urgency=high

  * Stop rejecting unknown parameters. (#161 <https://github.com/ros/robot_state_publisher/issues/161>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.4.2-2jammy) jammy; urgency=high

  * clean up license to be standard bsd 3 clause (#130 <https://github.com/ros/robot_state_publisher/issues/130>)
  * Update the maintainers. (#151 <https://github.com/ros/robot_state_publisher/issues/151>)
  * Contributors: Chris Lalancette, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-humble-robot-state-publisher (2.4.1-2jammy) jammy; urgency=high

  * fix types in range loops to avoid copy due to different type (#143 <https://github.com/ros/robot_state_publisher/issues/143>)
  * Make sure not to crash on an invalid URDF. (#141 <https://github.com/ros/robot_state_publisher/issues/141>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-humble-robot-state-publisher (2.4.0-2jammy) jammy; urgency=high

  * Replace deprecated launch_ros usage (#137 <https://github.com/ros/robot_state_publisher/issues/137>)
  * code style only: wrap after open parenthesis if not in one line (#129 <https://github.com/ros/robot_state_publisher/issues/129>)
  * Refactor the ROS 2 code to be more modern (#126 <https://github.com/ros/robot_state_publisher/issues/126>)
  * Switch to using TARGET_FILE to find the binary targets on Windows.
  * Fix tests on Windows.
  * Make the error message much nicer on Windows.
  * robot_state_publisher_node -> robot_state_publisher
  * Fix test build on Windows.
  * Get rid of redundant declaration.
  * Guard against negative publish_frequencies.
  * Switch to modern launch_testing ReadyToTest.
  * Add testing to robot_state_publisher.
  * Update some example launch files.
  * Implement the ability to change the parameters on the fly.
  * Fix silly bug while computing the publish interval.
  * Refactor to have a "setup" function during the constructor and later on during the parameter setup.
  * Mark things as explicit and final.
  * Update the documentation.
  * Make robot_state_publisher composable.
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-humble-robot-state-publisher (2.3.1-2jammy) jammy; urgency=high

  * Switch the license back to BSD. (#121 <https://github.com/ros/robot_state_publisher/issues/121>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-humble-robot-state-publisher (2.3.0-2jammy) jammy; urgency=high

  * Install include directories (#31 <https://github.com/ros2/robot_state_publisher/issues/31>)
  * Publish URDF string on startup (#24 <https://github.com/ros2/robot_state_publisher/issues/24>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-robot-state-publisher//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-robot-state-publisher 3.0.3

=== debian/changelog ===
ros-humble-robot-state-publisher (3.0.3-2bookworm) bookworm; urgency=high

  * Fix reload after a description with a mimic joint (#212 <https://github.com/ros/robot_state_publisher/issues/212>) (#214 <https://github.com/ros/robot_state_publisher/issues/214>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-robot-state-publisher (3.0.2-2bookworm) bookworm; urgency=high

  * Depend on orocos_kdl_vendor (#191 <https://github.com/ros/robot_state_publisher/issues/191>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-robot-state-publisher (3.0.1-2bookworm) bookworm; urgency=high

  * export dependencies, to use robot_state_publisher as a component (#193 <https://github.com/ros/robot_state_publisher/issues/193>)
  * Contributors: Kenji Brameld

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-robot-state-publisher (3.0.0-2bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#186 <https://github.com/ros/robot_state_publisher/issues/186>)
  * Change how parameter updates are handled (#180 <https://github.com/ros/robot_state_publisher/issues/180>)
  * Install includes to instal/${PROJECT_NAME} (#184 <https://github.com/ros/robot_state_publisher/issues/184>)
  * Make the change_fixed_joint test more robust (#183 <https://github.com/ros/robot_state_publisher/issues/183>)
  * Add in a test to make sure fixed transforms change on update
  * Small C++ nice-isms in the tests
  * Switch to using target_include_directories for tests
  * Publish new fixed transforms when URDF is updated
  * Make joint_states subscription QoS configurable; default to SensorDataQoS (#179 <https://github.com/ros/robot_state_publisher/issues/179>)
  * Remove dependency on urdfdom_headers (#168 <https://github.com/ros/robot_state_publisher/issues/168>)
  * Contributors: Anthony Deschamps, Chris Lalancette, Jacob Perron, Russell Joyce, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-robot-state-publisher (2.7.0-2bookworm) bookworm; urgency=high

  * Fix deprecated subscriber callbacks (#173 <https://github.com/ros/robot_state_publisher/issues/173>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-robot-state-publisher (2.6.0-2bookworm) bookworm; urgency=high

  * Cleanup the documentation in the RobotStatePublisher class. (#172 <https://github.com/ros/robot_state_publisher/issues/172>)
  * Always publish fixed frames to /tf_static (#158 <https://github.com/ros/robot_state_publisher/issues/158>)
  * corrected publish_frequency default in README (#166 <https://github.com/ros/robot_state_publisher/issues/166>)
  * Contributors: Chris Lalancette, Jacob Perron, Nils Schulte

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 01 Aug 2021 16:00:00 -0000

ros-humble-robot-state-publisher (2.5.0-2bookworm) bookworm; urgency=high

  * Add tf frame_prefix parameter (#159 <https://github.com/ros/robot_state_publisher/issues/159>)
  * Contributors: Steve Nogar, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-humble-robot-state-publisher (2.4.3-2bookworm) bookworm; urgency=high

  * Stop rejecting unknown parameters. (#161 <https://github.com/ros/robot_state_publisher/issues/161>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-humble-robot-state-publisher (2.4.2-2bookworm) bookworm; urgency=high

  * clean up license to be standard bsd 3 clause (#130 <https://github.com/ros/robot_state_publisher/issues/130>)
  * Update the maintainers. (#151 <https://github.com/ros/robot_state_publisher/issues/151>)
  * Contributors: Chris Lalancette, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-robot-state-publisher (2.4.1-2bookworm) bookworm; urgency=high

  * fix types in range loops to avoid copy due to different type (#143 <https://github.com/ros/robot_state_publisher/issues/143>)
  * Make sure not to crash on an invalid URDF. (#141 <https://github.com/ros/robot_state_publisher/issues/141>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Sep 2020 16:00:00 -0000

ros-humble-robot-state-publisher (2.4.0-2bookworm) bookworm; urgency=high

  * Replace deprecated launch_ros usage (#137 <https://github.com/ros/robot_state_publisher/issues/137>)
  * code style only: wrap after open parenthesis if not in one line (#129 <https://github.com/ros/robot_state_publisher/issues/129>)
  * Refactor the ROS 2 code to be more modern (#126 <https://github.com/ros/robot_state_publisher/issues/126>)
  * Switch to using TARGET_FILE to find the binary targets on Windows.
  * Fix tests on Windows.
  * Make the error message much nicer on Windows.
  * robot_state_publisher_node -> robot_state_publisher
  * Fix test build on Windows.
  * Get rid of redundant declaration.
  * Guard against negative publish_frequencies.
  * Switch to modern launch_testing ReadyToTest.
  * Add testing to robot_state_publisher.
  * Update some example launch files.
  * Implement the ability to change the parameters on the fly.
  * Fix silly bug while computing the publish interval.
  * Refactor to have a "setup" function during the constructor and later on during the parameter setup.
  * Mark things as explicit and final.
  * Update the documentation.
  * Make robot_state_publisher composable.
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-robot-state-publisher (2.3.1-2bookworm) bookworm; urgency=high



=== debian/control ===
Source: ros-humble-robot-state-publisher
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-kdl-parser, ros-humble-launch-ros <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-orocos-kdl-vendor, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2-ros, ros-humble-urdf, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-kdl-parser, ros-humble-orocos-kdl-vendor, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2-ros, ros-humble-urdf, ros-humble-ros-workspace
Description: This package take the joint angles of a robot as input, and publishes the 3D poses of the robot links to tf2, using a kinematic tree model of the robot.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-robot-state-publisher//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-robot-state-publisher//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-robot-state-publisher//opt/ros/humble/opt/robot_state_publisher/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
